package com.gci.boot.modules.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.system.entity.SysDepart;

import java.util.List;

/**
 * <p>
 * 组织机构表 服务类
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-31
 */
public interface ISysDepartService extends IService<SysDepart> {

    void deleteWithChildren(String id);

    void deleteBatchWithChildren(List<String> ids);

    /**
     * 根据userId查询部门信息
     * @param userId
     * @return
     */
    List<SysDepart> getDepartByUserId(String userId);
}
